var SelectorText = {
	getData: function () {
		var elements = this.getDataElements();

		var result = [];
		$(elements).each(function (k, element) {
			var data = {};

			// remove script, style tag contents from text results
			var $element_clone = $(element).clone();
			$element_clone.find("script, style").remove();
			// <br> replace br tags with newlines
			$element_clone.find("br").after("\n");

			var text = $element_clone.text();

			data[this.id] = text;

			result.push(data);
		}.bind(this));

		if (elements.length === 0) {
			var data = {};
			data[this.id] = null;
			result.push(data);
		}

		return result;
	}
};
