DataExtractor = function (options) {
	if (options.sitemap instanceof Sitemap) {
		this.sitemap = options.sitemap;
	}
	else {
		this.sitemap = new Sitemap(options.sitemap);
	}
};

DataExtractor.prototype = {
	getData: function (selector) {
		return selector.getData();
	},

	getSingleSelectorData: function(selectorId) {
		var sitemap = this.sitemap;

		return this.getData(sitemap.getSelectorById(selectorId));
	}
};
