var x = require('casper').selectXPath;
var fs = require('fs');
casper.options.viewportSize = {width: 1600, height: 799};
casper.test.begin('Resurrectio test', function(test) {
   casper.start('https://or.justice.cz/ias/ui/rejstrik-$firma');
   casper.waitForSelector("form#AdvancedSearch-form input[name='nazev']",
       function success() {
           test.assertExists("form#AdvancedSearch-form input[name='nazev']");
           this.click("form#AdvancedSearch-form input[name='nazev']");
       },
       function fail() {
           test.assertExists("form#AdvancedSearch-form input[name='nazev']");
   });
   casper.waitForSelector("input[name='nazev']",
       function success() {
           this.sendKeys("input[name='nazev']", "Metro stav");
       },
       function fail() {
           test.assertExists("input[name='nazev']");
   });
   casper.waitForSelector(".i-16.i-search",
       function success() {
           test.assertExists(".i-16.i-search");
           this.click(".i-16.i-search");
       },
       function fail() {
           test.assertExists(".i-16.i-search");
   });
   // submit form
    
   casper.waitForSelector('#SearchResults > div.section-c > div > ol > li:nth-child(1) > div > ul > li:nth-child(1) > a',
       function success() {
           test.assertExists('#SearchResults > div.section-c > div > ol > li:nth-child(1) > div > ul > li:nth-child(1) > a');
           this.click('#SearchResults > div.section-c > div > ol > li:nth-child(1) > div > ul > li:nth-child(1) > a');
       },
       function fail() {
           test.assertExists(x("//*[@id=\"SearchResults\"]/div[2]/div/ol/li[1]/div/ul/li[1]/a"));
   });
    
    /*console.log(new String(text, "UTF-8"));
    casper.waitForSelector(x("//a[normalize-space(text())='Vpis platnch']"),
       function success() {
           test.assertExists(x("//a[normalize-space(text())='Vpis platnch']"));
           this.click(x("//a[normalize-space(text())='Vpis platnch']"));
       },
       function fail() {
           console.log('Vypis platnych neexistuje');
   });*/
       
   casper.waitForSelector('table.vypis.vypis-udaj-nazev-wrapper td',
       function success() {
           var text = casper.evaluate(function(sel) {
                return document.querySelector(sel).innerHTML;
            }, 'table.vypis.vypis-udaj-nazev-wrapper td');
            console.log(text);
            fs.write('test.csv', text + '\n', 'aw');
       },
       function fail() {
           console.log('vypis-row vypis-udaj-nazev');
   });

   casper.run(function() {test.done();});
});