function ReduceWhiteSpaces() {
    this.jsonFile = new JSONFile();
}

ReduceWhiteSpaces.prototype = new FilterBase();

ReduceWhiteSpaces.prototype.cleanData = function(data) {
    if (!data) {
        return data;
    }

    if(this.jsonFile.isJSON(data)){
        var jsonObject = JSON.parse(data);
        for(var i = 0; i < jsonObject.length; i++){
            jsonObject[i] = jsonObject[i].trim();
            jsonObject[i] = jsonObject[i].replace(/\s+/g, ' ');
        }

        return JSON.stringify(jsonObject);
    }

    data.trim();

    return data.replace(/\s+/g, ' ');
}

module.exports = ReduceWhiteSpaces;