function RemoveHTMLEntities() {
    this.jsonFile = new JSONFile();
}

RemoveHTMLEntities.prototype = new FilterBase();

RemoveHTMLEntities.prototype.cleanData = function (data) {
    if (!data) {
        return data;
    }

    if(this.jsonFile.isJSON(data)){
        var jsonObject = JSON.parse(data);
        for(var i = 0; i < jsonObject.length; i++){
            jsonObject[i] = jsonObject[i].replace(/<[^>]+>/ig, '');
        }

        return JSON.stringify(jsonObject);
    }

    return data.replace(/<[^>]+>/ig, '');
}

module.exports = RemoveHTMLEntities;