function PluginHelper() {

}

PluginHelper.prototype.afterStart = function (configuration) {
    return configuration;
}

PluginHelper.prototype.afterLoadFormConfiguration = function (formConfiguration) {
    for (var i = 0; i <= 10000000; i++) {
        var ic = i;
        ic = ic.toString();

        for (var length = ic.length; length < 8; length++) {
            ic = '0' + ic;
        }

        if (this.isIC(ic)) {
            formConfiguration.push({'IC': ic});
        }
    }

    return formConfiguration;
}

PluginHelper.prototype.isIC = function (x) {
    try {
        var a = 0;

        if (x.length == 0) {
            return true;
        }

        if (x.length != 8) {
            throw 1;
        }

        var b = x.split('');
        var c = 0;

        for (var i = 0; i < 7; i++) {
            a += (parseInt(b[i]) * (8 - i));
        }

        a = a % 11;
        c = 11 - a;

        if (a == 1) {
            c = 0;
        }

        if (a == 0) {
            c = 1;
        }

        if (a == 10) {
            c = 1;
        }

        if (parseInt(b[7]) != c) {
            throw(1);
        }
    }
    catch (e) {
        return false;
    }

    return true;
}

PluginHelper.prototype.beforeFiltration = function (data) {
    return data;
}

PluginHelper.prototype.beforeSave = function (data) {
    return data;
}

module.exports = PluginHelper;